package com.xinelu.manage.mapper.termbank;

import com.xinelu.manage.domain.termbank.TermBank;
import com.xinelu.manage.vo.termbank.TermBankVO;

import java.util.List;

/**
 * 常用术语(知识库)Mapper接口
 *
 * @author xinelu
 * @date 2024-06-07
 */
public interface TermBankMapper {
    /**
     * 查询常用术语(知识库)
     *
     * @param id 常用术语(知识库)主键
     * @return 常用术语(知识库)
     */
    TermBank selectTermBankById(Long id);

    /**
     * 查询常用术语(知识库)列表
     *
     * @param termBank 常用术语(知识库)
     * @return 常用术语(知识库)集合
     */
    List<TermBank> selectTermBankList(TermBank termBank);

    /**
     * 常用术语层级树图
     */
    List<TermBankVO> selectTermBankTree(Long level);

    /**
     * 新增常用术语(知识库)
     *
     * @param termBank 常用术语(知识库)
     * @return 结果
     */
    int insertTermBank(TermBank termBank);

    /**
     * 修改常用术语(知识库)
     *
     * @param termBank 常用术语(知识库)
     * @return 结果
     */
    int updateTermBank(TermBank termBank);

    /**
     * 删除常用术语(知识库)
     *
     * @param id 常用术语(知识库)主键
     * @return 结果
     */
    int deleteTermBankById(Long id);

    /**
     * 批量删除常用术语(知识库)
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTermBankByIds(Long[] ids);

    /**
     * 查询父级信息
     *
     * @param parentTermCode 父级编号
     * @return TermBank
     */
    TermBank selectTermBankByParentTermCode(String parentTermCode);
}
